import 'dart:convert';

import 'package:flutter/foundation.dart';
import 'package:image_sd/src/imageSDView/common/misc.dart';

class ImageSdOptions {

  String url;
  String icon;


  ImageSdOptions({
    this.url = '',
    this.icon = '',
  });

  Map<String, Object> toJson() {
    return {
      'url': url,
      'icon': toResolutionAware(icon),
    };
  }

  String toJsonString() => jsonEncode(toJson());


  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
          other is ImageSdOptions &&
              runtimeType == other.runtimeType &&
              icon == other.icon &&
              url == other.url;

  @override
  int get hashCode =>
      icon.hashCode ^
      url.hashCode;

  @override
  String toString() {
    return 'ImageSdOptions{icon: $icon, url: $url,}';
  }
}